# Crypto and Fiat Deposits

{% hint style="info" %}
These endpoints are dedicated to retrieving segregated bank accounts and wallet information for deposits. Check the [Crypto and Fiat coverage](/documentation-beta-ramps/api-guide/crypto-and-fiat-coverage.md) page for more information on the assets and countries available for this feature.
{% endhint %}

## Request deposit instructions for a Crypto Asset

<mark style="color:green;">`POST`</mark> `https://live.betaapp.com/v1/subaccount/wallet-address/shared`

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {access\_token} |
| x-sub-account-id                                | String | Subaccount-ID          |
| accept<mark style="color:red;">\*</mark>        | String | application/json       |

#### Request Body

| Name                                    | Type   | Description                                      |
| --------------------------------------- | ------ | ------------------------------------------------ |
| asset<mark style="color:red;">\*</mark> | String | Check crypto asset coverage for more information |
| network                                 | String | Crypto asset's network                           |

{% tabs %}
{% tab title="200: OK " %}

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}

**Request Example:**

```json
curl -X 'POST' \
  'https://live.betaapp.com/v1/subaccount/wallet-address/shared' \
  -H 'accept: application/json' \
  -H 'X-sub-account-id: 22376b76...43083b' \
  -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6InJlaEF1NURPY...ctfx2I4g' \
  -H 'Content-Type: application/json' \
  -d '{
  "asset": "BTC",
  "network": "bitcoin"
}'
```

**Response Example:**

{% code overflow="wrap" %}

```json
{
  {
  "id": "700bea2a-525b-4e88-af32-318088b94643",
  "network": "bitcoin",
  "asset": "BTC",
  "address": "tb1qsm3d89fuuwmn7z699glchxkyk8x235vl4zssvv",
  "address_tag": "",
  "wallet_type": "shared",
  "created_at": "2023-08-05T13:59:01.603085797Z",
  "updated_at": "2023-08-05T13:59:01.603085797Z",
  "deleted_at": null
}
```

{% endcode %}

{% hint style="success" %}
Beta will notify your backend with callbacks as soon as new incoming deposits are confirmed.
{% endhint %}

## Request deposit instructions for a Fiat Asset

<mark style="color:green;">`POST`</mark> `https://live.betaapp.com/v1/subaccount/bank-account/shared`

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {access\_token} |
| x-sub-account-id                                | String | Subaccount-ID          |
| accept<mark style="color:red;">\*</mark>        | String | application/json       |

#### Request Body

| Name                                    | Type   | Description                                    |
| --------------------------------------- | ------ | ---------------------------------------------- |
| asset<mark style="color:red;">\*</mark> | String | Check fiat asset coverage for more information |

{% tabs %}
{% tab title="200: OK " %}

{% endtab %}

{% tab title="400: Bad Request " %}

{% endtab %}
{% endtabs %}

**Request Example:**

```json
curl -X 'POST' \
  'https://live.betaapp.com/v1/subaccount/bank-account/shared' \
  -H 'accept: application/json' \
  -H 'X-sub-account-id: 22376b76...43083b' \
  -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6InJlaEF1NURPY...ctfx2I4g' \
  -H 'Content-Type: application/json' \
  -d '{
  "asset": "MXN",
}'
```

**Response Example:**

{% code overflow="wrap" %}

```json
{
  "id": "870befg4-595c-9z72-jf52-3180995b4643",
  "country": "mexico",
  "asset": "MXN",
  "account": "014027...20",
  "bank_type": "shared",
  "created_at": "2023-08-22T13:59:01.603085797Z",
  "updated_at": "2023-08-22T13:59:01.603085797Z",
  "deleted_at": null
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.betaramps.com/documentation-beta-ramps/exchange-crypto-to-fiat/crypto-and-fiat-deposits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
